Download OpenAPI specification:
API for converting healthcare X12 EDI transactions to JSON or CSV and generating EDI from JSON.
New endpoints in this release:
Returns application information, including version and license details.
| version | string |
| buildDateTime | string <date-time> |
object (LicenseInfo) |
{- "version": "2.15.0",
- "buildDateTime": "2026-06-13T18:10:58.786-04:00",
- "licenseInfo": {
- "expiration": "2026-06-13",
- "entitlements": [
- "EDI"
], - "isSignatureValid": true,
- "licenseFile": "/./etc/edi-license.txt",
- "expired": false
}
}Converts X12 EDI input to CSV. You can post EDI content as text
or upload files with a multipart/form-data request.
See Python and curl examples in our GitHub repo.
See also the introduction to the CSV conversion API.
Output examples for all formats are available in the api-examples repository.
Converts X12 EDI input into comma-separated value (CSV) flat-file
format. EDI can be posted as text in the request body or uploaded with a multipart/form-data request.
The output is streamed as the input is parsed.
See the data dictionary for more details about the response schema, including mappings to X12 EDI elements.
The CSV output is highly customizable. See this guide for more details.
Output examples:
| schemaFileName | string Default: "csv_conversion.yaml" Name of the file containing the CSV conversion schemas. See the CSV schema documentation for more details. |
| schemaName | string Default: "lines-with-header-repeat-first-row" Name of the |
| ediFileName | string The name of the EDI file submitted as text. This name will be propagated to the |
| chunkSize | integer <int32> Default: 200 Number of claims or payments (837/835), or members (834), to parse at a time. |
| warningsInResponse | boolean Deprecated Default: false Write EDI parsing warnings to the response stream. Warnings are written into the first column and start with the |
| maxWarnings | integer Deprecated Default: 3000 Maximum number of EDI parsing warnings per file before raising a |
| files required | Array of strings <binary> [ items <binary > ] |
| id | string Unique payment identifier assigned by the converter. |
| transactionType | string Transaction set identifier code. EDI: ST01. |
| fileName | string Converted X12 EDI file name. |
| transactionControlNumber | string Transaction set control number. EDI: ST02. |
| patientControlNumber | string Identifier used to track a claim from creation by the health care provider through payment. EDI: CLP01. |
| claimStatus | string Claim status. |
| chargeAmount | number <float> Charge amount. EDI: CLP03. |
| paymentAmount | number <float> Payment amount. EDI: CLP04. |
| patientResponsibilityAmount | number <float> Patient responsibility amount. EDI: CLP05. |
| claimFilingIndicatorCode | string Claim filing indicator code. EDI: CLP06. |
| payerControlNumber | string Payer control number. EDI: CLP07. |
object (Code) Place of service code (professional/dental) or UB facility code (institutional) from the original claim. EDI: CLP08. | |
| frequencyTypeCode | string Frequency type code. EDI: CLP09. |
| drgCode | string Diagnosis-related group code. Institutional claims only. EDI: CLP11. |
| drgWeight | number <float> Adjudicated DRG weight. Institutional claims only. EDI: CLP12. |
| dischargeFraction | number <float> Adjudicated discharge fraction. Institutional claims only. This is a percentage expressed as decimal. EDI: CLP13. |
| totalPaymentAmount | number <float> Total payment amount. EDI: BPR02. |
| creditOrDebitFlagCode | string Credit or debit flag code. EDI: BPR03. |
| paymentMethodType | string Payment method type. EDI: BPR04. |
| receiverAccountNumber | string Receiver account number. EDI: BPR15. |
| paymentDate | string <date> Payment date. EDI: BPR16. |
| checkOrEftTraceNumber | string Check or eft trace number. EDI: TRN02. |
| payerEin | string Payer identifier. This must be a '1' followed by the payer EIN. This field is also copied to the payerIdentifier field if it wasn't provided in N104. EDI: TRN03. |
| productionDate | string <date> Production date. EDI: DTP03*405. |
| totalAdjAmount | number <float> Sum total of all adjustments from all service lines. |
Array of objects (Adjustment) Claim adjustments. EDI: CAS. | |
object (Party) Payer. EDI: N1*PR. | |
object (Party) Payee. EDI: N1*PE. | |
object (PartyIdName) The insured (subscriber) or patient from the original claim. EDI: NM1*QC. | |
object (PartyIdName) The insured (subscriber) from the original claim if the insured is different from the patient. EDI: NM1*44. | |
object (PartyIdName) Corrected patient. EDI: NM1*74. | |
object (PartyIdName) Service provider. EDI: NM1*SJ. | |
object (PartyIdName) Crossover carrier. EDI: NM1*TT. | |
object (PartyIdName) Corrected priority payer, meaning that current payer believes that another payer has priority for making a payment. EDI: NM1*PR. | |
object (PartyIdName) Other subscriber. EDI: NM1*GB. | |
Array of objects (Reference) Other claim-related identifications. EDI: REF. | |
| serviceDateFrom | string <date> The earliest service date from service lines. |
| serviceDateTo | string <date> The latest service date from service lines. |
| statementDateFrom | string <date> Statement date from. EDI: DTP03*232. |
| statementDateTo | string <date> Statement date to. EDI: DTP03*233. |
| coverageExpirationDate | string <date> Coverage expiration date. EDI: DTM02*036. |
| claimReceivedDate | string <date> Claim received date. EDI: DTM02*050. |
| coverageAmount | number <float> Coverage amount from the list of supplemental amounts. EDI: AMT02*AU. |
Array of objects (Amount) Supplemental claim/payment amounts, such as coverage amount, discount amount, etc. EDI: AMT. | |
Array of objects (Quantity) Supplemental claim/payment quantities. EDI: QTY. | |
Array of objects (PaymentLineCsv) Service payment information. EDI: Loop: 2110. |
# Post EDI as text curl -X POST -H "Content-Type: text/plain" \ --data-binary @../edi_files/835/835.edi \ "$API_URL/edi/csv?ediFileName=837.edi" # Upload EDI files using a multipart/form-data request curl -F files=@"../edi_files/837/837-1.dat" -F files=@"../edi_files/837/837-2.dat" \ $API_URL/edi/csv
Id,TransactionType,FileName,TransactionControlNumber,PatientControlNumber,ClaimStatus,ChargeAmount,PaymentAmount,PatientResponsibilityAmount,ClaimFilingIndicatorCode,PayerControlNumber,FacilityCode,FrequencyTypeCode,DrgCode,DrgWeight,DischargeFraction,TotalPaymentAmount,CreditOrDebitFlagCode,PaymentMethodType,ReceiverAccountNumber,PaymentDate,CheckOrEftTraceNumber,PayerEin,ProductionDate,TotalAdjAmount,Adj1Group,Adj1ReasonCode,Adj1Amount,Adj1Quantity,Adj2Group,Adj2ReasonCode,Adj2Amount,Adj2Quantity,Adj3Group,Adj3ReasonCode,Adj3Amount,Adj3Quantity,Adj4Group,Adj4ReasonCode,Adj4Amount,Adj4Quantity,Adj5Group,Adj5ReasonCode,Adj5Amount,Adj5Quantity,PayerIdentificationType,PayerIdentifier,PayerName,PayerAddressLine,PayerAddressLine2,PayerAddressCity,PayerAddressStateCode,PayerAddressZipCode,PayerContact1Name,PayerContact1ContactNumber1Type,PayerContact1ContactNumber1Number,PayerContact1ContactNumber2Type,PayerContact1ContactNumber2Number,PayerContact2Name,PayerContact2ContactNumber1Type,PayerContact2ContactNumber1Number,PayerContact2ContactNumber2Type,PayerContact2ContactNumber2Number,PayerAdditionalId1Type,PayerAdditionalId1Identification,PayerAdditionalId2Type,PayerAdditionalId2Identification,PayeeIdentificationType,PayeeIdentifier,PayeeLastNameOrOrgName,PayeeAddressLine,PayeeAddressLine2,PayeeAddressCity,PayeeAddressStateCode,PayeeAddressZipCode,PayeeContacts,PayeeAdditionalId1Type,PayeeAdditionalId1Identification,PayeeAdditionalId2Type,PayeeAdditionalId2Identification,PatientIdentificationType,PatientIdentifier,PatientLastName,PatientFirstName,PatientMiddleName,SubscriberIdentificationType,SubscriberIdentifier,SubscriberLastName,SubscriberFirstName,SubscriberMiddleName,CorrectedPatientIdentificationType,CorrectedPatientIdentifier,CorrectedPatientLastName,CorrectedPatientFirstName,CorrectedPatientMiddleName,ServiceProviderIdentificationType,ServiceProviderIdentifier,ServiceProviderLastNameOrOrgName,ServiceProviderFirstName,ServiceProviderMiddleName,ServiceProviderContacts,ServiceProviderAdditionalId1Type,ServiceProviderAdditionalId1Identification,ServiceProviderAdditionalId2Type,ServiceProviderAdditionalId2Identification,CrossoverCarrierIdentificationType,CrossoverCarrierIdentifier,CrossoverCarrierName,CorrectedPayerIdentificationType,CorrectedPayerIdentifier,CorrectedPayerName,OtherSubscriberIdentificationType,OtherSubscriberIdentifier,OtherSubscriberLastName,OtherSubscriberFirstName,OtherSubscriberMiddleName,OtherClaimRelatedId1Type,OtherClaimRelatedId1Identification,OtherClaimRelatedId2Type,OtherClaimRelatedId2Identification,ServiceDateFrom,ServiceDateTo,StatementDateFrom,StatementDateTo,CoverageExpirationDate,ClaimReceivedDate,CoverageAmount,SupplementalAmt1QualifierCode,SupplementalAmt1Type,SupplementalAmt1Amount,SupplementalAmt2QualifierCode,SupplementalAmt2Type,SupplementalAmt2Amount,SupplementalQty1QualifierCode,SupplementalQty1Type,SupplementalQty1Quantity,SupplementalQty2QualifierCode,SupplementalQty2Type,SupplementalQty2Quantity,LineControlNumber,LineProcedureCode,LineProcedureModifier1Code,LineProcedureModifier2Code,LineProcedureModifier3Code,LineRevenueCode,LineDrugCode,LineChargeAmount,LinePaidAmount,LineUnitCount,LineOriginalProcedureCode,LineOriginalProcedureModifier1Code,LineOriginalProcedureModifier2Code,LineOriginalProcedureModifier3Code,LineOriginalRevenueCode,LineOriginalDrugCode,LineOriginalUnitCount,LineServiceDateFrom,LineServiceDateTo,LineTotalAdjAmount,LineAdj1Group,LineAdj1ReasonCode,LineAdj1Amount,LineAdj1Quantity,LineAdj2Group,LineAdj2ReasonCode,LineAdj2Amount,LineAdj2Quantity,LineAdj3Group,LineAdj3ReasonCode,LineAdj3Amount,LineAdj3Quantity,LineAdj4Group,LineAdj4ReasonCode,LineAdj4Amount,LineAdj4Quantity,LineAdj5Group,LineAdj5ReasonCode,LineAdj5Amount,LineAdj5Quantity,LineServiceId1Type,LineServiceId1Identification,LineServiceId2Type,LineServiceId2Identification,LineServiceId3Type,LineServiceId3Identification,LineHealthcarePolicyId,LineRenderingProviderId1Type,LineRenderingProviderId1Identification,LineRenderingProviderId2Type,LineRenderingProviderId2Identification,LineAllowedAmount,LineSupplementalAmt1QualifierCode,LineSupplementalAmt1Type,LineSupplementalAmt1Amount,LineSupplementalAmt2QualifierCode,LineSupplementalAmt2Type,LineSupplementalAmt2Amount,LineSupplementalQty1QualifierCode,LineSupplementalQty1Type,LineSupplementalQty1Quantity,LineSupplementalQty2QualifierCode,LineSupplementalQty2Type,LineSupplementalQty2Quantity,LineRemarkCode1,LineRemarkCode2,LineRemarkCode3,LineRemarkCode4,LineRemarkCode5 6a32cb6297613a0e49905e32,835,835-validation-issues.edi,0002,5554555444,PRIMARY,700,500,300,12,94060555410000,11,1,,,,132,C,CHECK,456,2019-03-31,,,2024-12-23,300,,,,,,,,,,,,,,,,,,,,,,,DELTA DENTAL OF ABC,225 MAIN STREET,,CENTERVILLE,PA,17111,,,,,,,,,,,PAYER_IDENTIFICATION_NUMBER,0101,,,NPI,PROVIDER2_NPI,PROVIDER,2255 ANY ROAD,,ANY CITY,CA,12211,,PAYEE_IDENTIFICATION_NUMBER,PAYEE_ID2,,,MEMBER_ID,33344555510,BUDD,WILLIAM,,MEMBER_ID,33344555510,BUDD,WILLIAM,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2024-03-01,2024-03-01,,,,,,,,,,,,,,,,,,1,99211,,,,,,800,400,1,,,,,,,,2024-03-01,2024-03-01,300,PATIENT_RESPONSIBILITY,XX,300,,,,,,,,,,,,,,,,,,,,,,,,,,,,,800,B6,ALLOWED_ACTUAL,800,,,,,,,,,,,,,, 6a32cb6297613a0e49905e99,835,835-provider-level-adjustment.dat,0002,5554555444,PRIMARY,800,500,300,12,94060555410000,11,1,,,,500,C,CHECK,RECEIVER_ACCT_1,2024-12-25,CHECK_1,PAYER_ID,2024-12-23,300,,,,,,,,,,,,,,,,,,,,,PAYOR_ID,ADDNL_PAYER_ID,ANY PLAN USA,1 WALK THIS WAY,,ANYCITY,OH,45209,,PHONE,8661112222,,,EDI,PHONE,8002223333,EMAIL,EDI.SUPPORT@ANYPAYER.COM,PAYER_IDENTIFICATION_NUMBER,ADDNL_PAYER_ID,,,NPI,PROVIDER2_NPI,PROVIDER,2255 ANY ROAD,,ANY CITY,CA,12211,,PAYEE_IDENTIFICATION_NUMBER,PAYEE_ID2,,,MEMBER_ID,33344555510,BUDD,WILLIAM,,MEMBER_ID,33344555510,BUDD,WILLIAM,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2024-03-01,2024-03-01,,,,,,,,,,,,,,,,,,1,99211,,,,,,800,500,1,,,,,,,,2024-03-01,2024-03-01,300,PATIENT_RESPONSIBILITY,1,300,,,,,,,,,,,,,,,,,,,,,,,,,,,,,800,B6,ALLOWED_ACTUAL,800,,,,,,,,,,,,,, 6a32cb6297613a0e49905ecd,835,claim_adj_reason.dat,10060875,PATACCT,PRIMARY,400,80,,MC,CLAIMNUMBER,11,1,,,,80,C,CHECK,,2019-08-16,CK NUMBER 1,1234567890,2019-08-27,320,,,,,,,,,,,,,,,,,,,,,PAYOR_ID,1234567890,ANY PLAN USA,1 WALK THIS WAY,,ANYCITY,OH,45209,,PHONE,8661112222,,,EDI,PHONE,8002223333,EMAIL,EDI.SUPPORT@ANYPAYER.COM,,,,,NPI,1123454567,PROVIDER,2255 ANY ROAD,,ANY CITY,CA,12211,,,,,,MEMBER_ID,ABC123456789,DOE,JOHN,N,MEMBER_ID,ABC123456789,DOE,JOHN,N,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2019-01-01,2019-01-01,,,,2019-02-09,150,AU,COVERAGE_AMOUNT,150,,,,,,,,,,1,99213,,,,,,150,80,1,,,,,,,,2019-01-01,2019-01-01,70,CONTRACTUAL,45,70,,,,,,,,,,,,,,,,,,,,,,,,,,,,,80,B6,ALLOWED_ACTUAL,80,,,,,,,,,,,,,, 6a32cb6297613a0e49905ecd,,,,PATACCT,,,,,,CLAIMNUMBER,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2,85003,,,,,,100,0,1,,,,,,,,2019-01-01,2019-01-01,100,CONTRACTUAL,204,100,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,, 6a32cb6297613a0e49905ecd,,,,PATACCT,,,,,,CLAIMNUMBER,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,3,36415,,,,,,150,0,1,,,,,,,,2019-01-01,2019-01-01,150,CONTRACTUAL,97,150,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,, 6a32cb6297613a0e49905efc,835,not_covered_inpatient.dat,10060875,PATACCT,PRIMARY,40000,8000,,MC,CLAIMNUMBER,11,1,,,,8000,C,CHECK,,2019-08-16,CK NUMBER 1,1234567890,2019-08-27,32000,CONTRACTUAL,197,2000,1,CONTRACTUAL,45,30000,,,,,,,,,,,,,,PAYOR_ID,1234567890,ANY PLAN USA,1 WALK THIS WAY,,ANYCITY,OH,45209,,PHONE,8661112222,,,EDI,PHONE,8002223333,EMAIL,EDI.SUPPORT@ANYPAYER.COM,,,,,NPI,1123454567,PROVIDER,2255 ANY ROAD,,ANY CITY,CA,12211,,,,,,MEMBER_ID,ABC123456789,DOE,JOHN,N,MEMBER_ID,ABC123456789,DOE,JOHN,N,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2019-01-01,2019-01-05,2019-02-28,2019-02-09,38000,AU,COVERAGE_AMOUNT,38000,,,,CA,COVERED,4,,,,1,,,,,,,,,,,,,,,,,,,0,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,, 6a32cb6297613a0e49905f57,835,negotiated_discount.dat,35681,7722337,PRIMARY,226,132,10,12,119932404007801,11,1,,,,132,C,CHECK,456,2019-03-31,12345,1512345678,2019-03-14,32405,CONTRACTUAL,197,2000,1,CONTRACTUAL,45,30000,,PATIENT_RESPONSIBILITY,132,259,,,,,,,,,,PAYOR_ID,0101,DELTA DENTAL OF ABC,225 MAIN STREET,,CENTERVILLE,PA,17111,JANE DOE,PHONE,9005555555,,,,,,,,PAYER_IDENTIFICATION_NUMBER,0101,HEALTH_INDUSTRY_NUMBER,0202,EIN,999994703,BAN DDS LLC,225 MAIN STREET,,CENTERVILLE,PA,17111,,PAYEE_IDENTIFICATION_NUMBER,0505,,,,,DOE,SALLY,,MEMBER_ID,SJD11111,DOE,John,,,,,,,NPI,1811901945,BAN,ERIN,,,MEDICARE_PROVIDER_NUMBER,12345678,,,CMS_PLAN_ID,9876,ACME INSURANCE,CMS_PLAN_ID,8765,ACME INSURANCE,,,Smith,Jane,,,,,,2019-03-24,2019-03-25,2022-09-15,2022-09-16,2022-10-01,2022-11-24,132,AU,COVERAGE_AMOUNT,132,D8,DISCOUNT_AMOUNT,100,CA,COVERED,4,,,,A123,D0120,02,28,,0222,,46,25,3.1,D0140,1,,,,,3.5,2019-03-24,2019-03-24,21,CONTRACTUAL,131,21,,,,,,,,,,,,,,,,,,RATE_CODE_NUMBER,100,APG_NUMBER,101,AMBULATORY_PAYMENT,102,"1234""5",CMS_NPI,P123,MEDICARE_PROVIDER_NUMBER,P234,25,B6,ALLOWED_ACTUAL,25,,,,ZL,MEDICARE_MEDICAID_CAT_2,3.75,,,,M1,M2,,, 6a32cb6297613a0e49905f57,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2,D0220,,,,,,25,14,1,,,,,,,,2019-03-24,2019-03-24,11,CONTRACTUAL,131,11,,,,,,,,,,,,,,,,,,,,,,,,,,,,,14,B6,ALLOWED_ACTUAL,14,,,,,,,,,,,,,, 6a32cb6297613a0e49905f57,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,3,D0230,,,,,,22,10,1,,,,,,,,2019-03-24,2019-03-24,12,CONTRACTUAL,131,12,,,,,,,,,,,,,,,,,,,,,,,,,,,,,10,B6,ALLOWED_ACTUAL,10,,,,,,,,,,,,,, 6a32cb6297613a0e49905f57,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,4,D0274,,,,,,60,34,1,,,,,,,,2019-03-24,2019-03-24,26,CONTRACTUAL,131,26,,,,,,,,,,,,,,,,,,,,,,,,,,,,,34,B6,ALLOWED_ACTUAL,34,,,,,,,,,,,,,, 6a32cb6297613a0e49905f57,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,5,D1110,,,,,,73,49,1,,,,,,,,2019-03-24,2019-03-25,76,CONTRACTUAL,131,24,,CONTRACTUAL,3,25,,OTHER,131,27,,,,,,,,,,,,,,,,,,,,,49,B6,ALLOWED_ACTUAL,49,KH,DEDUCTION,50,,,,,,,,,,, 6a32cb6297613a0e49905f8b,835,dollars_data_separate.dat,112233,5554555444,PRIMARY,800,500,300,12,94060555410000,11,1,,,,1100,C,ACH,144444,2019-03-16,71700666555,1935665544,2019-03-14,300,,,,,,,,,,,,,,,,,,,,,PAYOR_ID,1935665544,RUSHMORE LIFE,10 SOUTH AVENUET,,RAPID CITY,SD,55111,JOHN WAYNE,PHONE,8005551212,EXTENSION,123,,,,,,,,,,NPI,5544667733,ACME MEDICAL CENTER,,,,,,,,,,,MEMBER_ID,33344555510,BUDD,WILLIAM,,MEMBER_ID,33344555510,BUDD,WILLIAM,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2023-03-01,2023-03-01,,,,,800,AU,COVERAGE_AMOUNT,800,,,,,,,,,,1,99211,,,,,,800,500,1,,,,,,,,2023-03-01,2023-03-01,300,PATIENT_RESPONSIBILITY,1,300,,,,,,,,,,,,,,,,,,,,,,,,,,,,,800,B6,ALLOWED_ACTUAL,800,,,,,,,,,,,,,, 6a32cb6297613a0e49905f8c,835,dollars_data_separate.dat,112233,8765432112,PRIMARY,1200,600,600,12,9407779923000,11,1,,,,1100,C,ACH,144444,2019-03-16,71700666555,1935665544,2019-03-14,600,,,,,,,,,,,,,,,,,,,,,PAYOR_ID,1935665544,RUSHMORE LIFE,10 SOUTH AVENUET,,RAPID CITY,SD,55111,JOHN WAYNE,PHONE,8005551212,EXTENSION,123,,,,,,,,,,NPI,5544667733,ACME MEDICAL CENTER,,,,,,,,,,,MEMBER_ID,44455666610,SETTLE,SUSAN,,MEMBER_ID,44455666610,SETTLE,SUSAN,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2023-03-10,2023-03-10,,,,,1200,AU,COVERAGE_AMOUNT,1200,,,,,,,,,,1,93555,,,,,,1200,600,1,,,,,,,,2023-03-10,2023-03-10,600,PATIENT_RESPONSIBILITY,1,600,,,,,,,,,,,,,,,,,,,,,,,,,,,,,1200,B6,ALLOWED_ACTUAL,1200,,,,,,,,,,,,,, 6a32cb6297613a0e49905fb7,835,835-minimal.dat,0002,5554555444,PRIMARY,800,500,300,12,94060555410000,11,1,,,,132,C,CHECK,456,2019-03-31,CHECK_1,PAYER_ID01,2024-12-23,300,,,,,,,,,,,,,,,,,,,,,PAYOR_ID,ADDNL_PAYER_ID,ANY PLAN USA,1 WALK THIS WAY,,ANYCITY,OH,45209,,PHONE,8661112222,,,EDI,PHONE,8002223333,EMAIL,EDI.SUPPORT@ANYPAYER.COM,PAYER_IDENTIFICATION_NUMBER,ADDNL_PAYER_ID,,,NPI,PROVIDER2_NPI,PROVIDER,2255 ANY ROAD,,ANY CITY,CA,12211,,PAYEE_IDENTIFICATION_NUMBER,PAYEE_ID2,,,MEMBER_ID,33344555510,BUDD,WILLIAM,,MEMBER_ID,33344555510,BUDD,WILLIAM,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2024-03-01,2024-03-01,,,,,,,,,,,,,,,,,,1,99211,,,,,,800,500,1,,,,,,,,2024-03-01,2024-03-01,300,PATIENT_RESPONSIBILITY,1,300,,,,,,,,,,,,,,,,,,,,,,,,,,,,,800,B6,ALLOWED_ACTUAL,800,,,,,,,,,,,,,, 6a32cb6297613a0e49905fe7,835,835-denial.dat,10060875,PATACCT,DENIED,150,0,,MC,CLAIMNUMBER,11,1,,,,0,C,NON_PAYMENT,,2019-08-16,TRACE123,1234567890,2019-08-27,150,,,,,,,,,,,,,,,,,,,,,PAYOR_ID,1234567890,ANY PLAN USA,1 WALK THIS WAY,,ANYCITY,OH,45209,,PHONE,8661112222,,,EDI,PHONE,8002223333,EMAIL,EDI.SUPPORT@ANYPAYER.COM,,,,,NPI,1123454567,PROVIDER,2255 ANY ROAD,,ANY CITY,CA,12211,,,,,,MEMBER_ID,ABC123456789,DOE,JOHN,N,MEMBER_ID,ABC123456789,DOE,JOHN,N,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2019-01-01,2019-01-01,,,,2019-02-09,150,AU,COVERAGE_AMOUNT,150,,,,,,,,,,1234,99213,,,,,,150,0,1,,,,,,,,2019-01-01,2019-01-01,150,OTHER,252,150,,,,,,,,,,,,,,,,,,,,,,,,,CMS_NPI,99123,,,,,,,,,,,,,,,,M143,,,, 6a32cb6297613a0e4990604a,835,835-all-fields.dat,35681,7722337,PRIMARY,384,238,10,12,119932404007801,11,1,025,0.5,0.4,132,C,CHECK,456,2019-03-31,12345,1512345678,2019-03-14,32405,CONTRACTUAL,197,2000,1,CONTRACTUAL,45,30000,,PATIENT_RESPONSIBILITY,132,259,,,,,,,,,,PAYOR_ID,0101,DELTA DENTAL OF ABC,225 MAIN STREET,,CENTERVILLE,PA,17111,JANE DOE,PHONE,9005555555,EXTENSION,123,,URL,myplan.com/policies,,,PAYER_IDENTIFICATION_NUMBER,0101,HEALTH_INDUSTRY_NUMBER,0202,EIN,999994703,BAN DDS LLC,225 MAIN STREET,,CENTERVILLE,PA,17111,,PAYEE_IDENTIFICATION_NUMBER,0505,,,,,DOE,SALLY,,MEMBER_ID,SJD11111,DOE,John,,INSURED_CHANGED_ID,SJD999,Due,,,NPI,1811901945,BAN,ERIN,,,MEDICARE_PROVIDER_NUMBER,12345678,,,CMS_PLAN_ID,9876,ACME INSURANCE,CMS_PLAN_ID,8765,ACME INSURANCE,,,Smith,Jane,,,,,,2019-03-24,2019-03-25,2022-09-15,2022-09-16,2022-10-01,2022-11-24,132,AU,COVERAGE_AMOUNT,132,D8,DISCOUNT_AMOUNT,100,CA,COVERED,4,,,,A123,D0120,02,28,,0022,,46,25,3.1,D0140,01,,,,,3.5,2019-03-24,2019-03-24,21,CONTRACTUAL,131,21,,,,,,,,,,,,,,,,,,RATE_CODE_NUMBER,100,APG_NUMBER,101,AMBULATORY_PAYMENT,102,"1234""5",CMS_NPI,P123,MEDICARE_PROVIDER_NUMBER,P234,25,B6,ALLOWED_ACTUAL,25,,,,ZL,MEDICARE_MEDICAID_CAT_2,3.75,,,,M1,M2,,, 6a32cb6297613a0e4990604a,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,2,D0220,,,,,,25,14,1,,,,,,,,2019-03-24,2019-03-24,11,CONTRACTUAL,131,11,,,,,,,,,,,,,,,,,,,,,,,,,,,,,14,B6,ALLOWED_ACTUAL,14,,,,,,,,,,,,,, 6a32cb6297613a0e4990604a,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,3,D0230,,,,,,22,10,1,,,,,,,,2019-03-24,2019-03-24,12,CONTRACTUAL,131,12,,,,,,,,,,,,,,,,,,,,,,,,,,,,,10,B6,ALLOWED_ACTUAL,10,,,,,,,,,,,,,, 6a32cb6297613a0e4990604a,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,4,D0274,,,,,,60,34,1,,,,,,,,2019-03-24,2019-03-24,26,CONTRACTUAL,131,26,,,,,,,,,,,,,,,,,,,,,,,,,,,,,34,B6,ALLOWED_ACTUAL,34,,,,,,,,,,,,,, 6a32cb6297613a0e4990604a,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,5,,,,,0022,,99,99,1,,,,,0023,,2,2019-03-24,2019-03-24,0,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,, 6a32cb6297613a0e4990604a,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,6,D1110,,,,,,73,-3,1,,,,,,,,2019-03-24,2019-03-25,76,CONTRACTUAL,131,24,,CONTRACTUAL,3,25,,OTHER,131,27,,,,,,,,,,,,,,,,,,,,,49,B6,ALLOWED_ACTUAL,49,KH,DEDUCTION,50,,,,,,,,,,, 6a32cb6297613a0e4990604a,,,,7722337,,,,,,119932404007801,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,7,,,,,,00002143481,59,59,10.5,,,,,,00002143482,9.2,2019-03-24,2019-03-24,0,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
Converts (parses) X12 EDI input to JSON. You can post EDI content as text
or upload files with a multipart/form-data request.
See Python and curl examples in our GitHub repo.
Introduction to the JSON response schema:
Output examples for all formats are available in the api-examples repository.
Converts X12 EDI input to JSON. EDI can be posted as text in the request body
or uploaded with a multipart/form-data request.
The response is a JSON array or NDJSON (newline-delimited JSON). The output is streamed as the input is parsed.
See the data dictionary for more details about the response schema, including mappings to X12 EDI elements.
| validate | boolean Default: false Perform full EDI validation. Validation messages are written to the response stream as To change the default behavior, set the |
| ndjson | boolean Default: false Use JSON Lines, also known as NDJSON. There is no enclosing array; each JSON object is terminated by a newline. Use this option for large files or streaming. If this option is not set, the response can contain a large array of JSON objects. To change the default behavior, set the |
| descriptions | boolean Default: true Provide descriptions for all codes (ICD, HCPCS, NDC, CARC/RARC, etc.). Descriptions can
increase the size of the response. You can globally suppress descriptions by setting the |
| convertControlSegments | boolean Default: false Convert To change the default behavior, set the |
| transactionTopLevel | boolean Default: false Write EDI transactions to the root level of the response as To change the default behavior, set the |
| convertToSegments | string Convert to the EDI loop and segment tree instead of returning claims, payments, and other business objects. |
| ediFileName | string The name of the EDI file submitted as text. This name will be propagated to the |
| chunkSize | integer <int32> Default: 50 The number of EDI transactions, or claims/payments/members for 837/835/834, to parse and convert at once. This option determines the memory footprint and can be used for fine-tuning. A higher value improves performance but consumes more memory. |
| warningsInResponse | boolean Deprecated Default: false Write EDI parsing warnings to the response stream as This parameter is deprecated as of 2.15 in favor of the |
| maxWarnings | integer Deprecated Default: 3000 Maximum number of EDI validation issues per file before raising a This parameter is deprecated as of 2.15; use the |
| splitTran | boolean Deprecated Default: true Do not parse the entire transaction. Instead, parse by claims ( As of |
| files required | Array of strings <binary> [ items <binary > ] |
| id | string Unique payment identifier assigned by the converter. |
| objectType | string Type of this object, set to 'PAYMENT'. |
| patientControlNumber required | string Identifier used to track a claim from creation by the health care provider through payment. EDI: CLP01. |
| chargeAmount required | number <float> Charge amount. EDI: CLP03. |
| paymentAmount required | number <float> Payment amount. EDI: CLP04. |
object (Code) Place of service code (professional/dental) or UB facility code (institutional) from the original claim. EDI: CLP08. | |
object (Code) Frequency code. EDI: CLP09. | |
| statementDateFrom | string <date> Statement date from. EDI: DTM02*232. |
| statementDateTo | string <date> Statement date to. EDI: DTM02*233. |
| serviceDateFrom | string <date> The earliest service date from service lines. |
| serviceDateTo | string <date> The latest service date from service lines. |
object (PatientSubscriber835) The insured (subscriber) from the original claim if the insured is different from the patient. EDI: Loop: 2100. | |
object (PatientSubscriber835) The insured (subscriber) or patient from the original claim. EDI: Loop: 2100. | |
Array of objects (PatientSubscriber835) Other subscriber; only one other subscriber is allowed on 835. EDI: Loop: 2100. | |
Array of objects (PaymentLine) Service lines. EDI: Loop: 2110. | |
Array of objects (ValidationIssue) Validation issues. | |
object (Transaction835) Parent EDI transaction for this object. EDI: ST. | |
| claimStatusCode | string Claim status code. EDI: CLP02. |
| claimStatus | string Enum: "DENIED" "NOT_OUR_CLAIM" "PREDETERMINATION_NO_PAYMENT" "PRIMARY" "PRIMARY_FORWARDED" "REVERSAL" "SECONDARY" "SECONDARY_FORWARDED" "TERTIARY" "TERTIARY_FORWARDED" Claim status code translated to a string constant (enum). EDI: CLP02. |
| patientResponsibilityAmount | number <float> Patient responsibility amount. EDI: CLP05. |
| claimFilingIndicatorCode | string Claim filing indicator code. EDI: CLP06. |
| insurancePlanType | string Enum: "AUTOMOBILE_MEDICAL" "BCBS" "CHAMPUS" "COMMERCIAL" "EPO" "FEDERAL_EMPLOYEE_PROGRAM" "HMO" "HMO_MEDICARE" "INDEMNITY_INSURANCE" "MEDICAID" "MEDICARE_A" "MEDICARE_B" "MUTUALLY_DEFINED" "OTHER_FEDERAL" "OTHER_NON_FEDERAL" "POS" "PPO" "VETERAN_AFFAIRS" "WORKERS_COMPENSATION" Claim filing indicator code translated to a string constant (enum). EDI: CLP06. |
| payerControlNumber | string Payer control number. EDI: CLP07. |
object (Code) Diagnosis-related group code. Institutional claims only. EDI: CLP11. | |
| drgWeight | number <float> Adjudicated DRG weight. Institutional claims only. EDI: CLP12. |
| dischargeFraction | number <float> Adjudicated discharge fraction. Institutional claims only. This is a percentage expressed as decimal. EDI: CLP13. |
Array of objects (Reference) Other claim-related identifications. EDI: REF. | |
Array of objects (Amount) Supplemental claim/payment amounts, such as coverage amount, discount amount, etc. EDI: AMT. | |
Array of objects (Quantity) Supplemental claim/payment quantities. EDI: QTY. | |
object (Party) Payer. EDI: N1*PR. | |
object (Party) Payee. EDI: N1*PE. | |
object (OutpatientAdjudication) Outpatient adjudication. EDI: MOA. | |
object (InpatientAdjudication) Inpatient adjudication. EDI: MIA. | |
Array of objects (Adjustment) Claim adjustments. EDI: CAS. | |
| coverageExpirationDate | string <date> Coverage expiration date. EDI: DTM02*036. |
| claimReceivedDate | string <date> Claim received date. EDI: DTM02*050. |
object (PartyIdName) Service provider. EDI: NM1*SJ. | |
object (PartyIdName) Crossover carrier. EDI: NM1*TT. | |
object (PartyIdName) Corrected priority payer, meaning that current payer believes that another payer has priority for making a payment. EDI: NM1*PR. | |
object (PartyIdName) Corrected insured. EDI: NM1*74. | |
Array of objects (ContactInfo) Claim contacts. EDI: PER. |
# Post EDI as text curl -X POST -H "Content-Type: text/plain" \ --data-binary @../edi_files/837/837.edi \ "$API_URL/edi/json?ndjson=true&ediFileName=837.edi" # Upload EDI files using a multipart/form-data request curl -F files=@"../edi_files/837/837-1.dat" -F files=@"../edi_files/837/837-2.dat" \ "$API_URL/edi/json?ndjson=true"
[- {
- "id": "6a32cb6297613a0e499066b3",
- "objectType": "PAYMENT",
- "patientControlNumber": "7722337",
- "chargeAmount": 384,
- "paymentAmount": 238,
- "facilityCode": {
- "subType": "FACILITY_TYPE",
- "code": "11",
- "desc": "Hospital; inpatient"
}, - "placeOfServiceType": "INPATIENT",
- "frequencyCode": {
- "subType": "FREQUENCY_CODE",
- "code": "1",
- "desc": "Original claim"
}, - "statementDateFrom": "2022-09-15",
- "statementDateTo": "2022-09-16",
- "serviceDateFrom": "2019-03-24",
- "serviceDateTo": "2019-03-25",
- "subscriber": {
- "person": {
- "entityRole": "INSURED_SUBSCRIBER",
- "entityType": "INDIVIDUAL",
- "identificationType": "MEMBER_ID",
- "identifier": "SJD11111",
- "lastNameOrOrgName": "DOE",
- "firstName": "John"
}
}, - "patient": {
- "person": {
- "entityRole": "PATIENT",
- "entityType": "INDIVIDUAL",
- "lastNameOrOrgName": "DOE",
- "firstName": "SALLY"
}
}, - "otherSubscribers": [
- {
- "person": {
- "entityRole": "OTHER_SUBSCRIBER",
- "entityType": "INDIVIDUAL",
- "lastNameOrOrgName": "Smith",
- "firstName": "Jane"
}
}
], - "claimStatusCode": "1",
- "claimStatus": "PRIMARY",
- "patientResponsibilityAmount": 10,
- "claimFilingIndicatorCode": "12",
- "insurancePlanType": "PPO",
- "payerControlNumber": "119932404007801",
- "drg": {
- "subType": "DRG",
- "code": "025"
}, - "drgWeight": 0.5,
- "dischargeFraction": 0.4,
- "otherClaimRelatedIds": [
- {
- "qualifierCode": "F8",
- "type": "ORIGINAL_REFERENCE_NUMBER",
- "identification": "12345"
}, - {
- "qualifierCode": "EA",
- "type": "MEDICAL_RECORD_NUMBER",
- "identification": "12345"
}
], - "supplementalAmounts": [
- {
- "qualifierCode": "AU",
- "type": "COVERAGE_AMOUNT",
- "amount": 132
}, - {
- "qualifierCode": "D8",
- "type": "DISCOUNT_AMOUNT",
- "amount": 100
}
], - "supplementalQuantities": [
- {
- "qualifierCode": "CA",
- "type": "COVERED",
- "quantity": 4
}
], - "payer": {
- "entityRole": "PAYER",
- "entityType": "BUSINESS",
- "identificationType": "PAYOR_ID",
- "identifier": "0101",
- "lastNameOrOrgName": "DELTA DENTAL OF ABC",
- "address": {
- "line": "225 MAIN STREET",
- "city": "CENTERVILLE",
- "stateCode": "PA",
- "zipCode": "17111"
}, - "contacts": [
- {
- "functionCode": "BL",
- "name": "JANE DOE",
- "contactNumbers": [
- {
- "type": "PHONE",
- "number": "9005555555"
}, - {
- "type": "EXTENSION",
- "number": "123"
}
]
}, - {
- "functionCode": "IC",
- "contactNumbers": [
- {
- "type": "URL",
- "number": "myplan.com/policies"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "2U",
- "type": "PAYER_IDENTIFICATION_NUMBER",
- "identification": "0101"
}, - {
- "qualifierCode": "HI",
- "type": "HEALTH_INDUSTRY_NUMBER",
- "identification": "0202"
}
]
}, - "payee": {
- "entityRole": "PAYEE",
- "entityType": "BUSINESS",
- "identificationType": "EIN",
- "identifier": "999994703",
- "taxId": "050595",
- "taxIdType": "TAX_ID",
- "lastNameOrOrgName": "BAN DDS LLC",
- "address": {
- "line": "225 MAIN STREET",
- "city": "CENTERVILLE",
- "stateCode": "PA",
- "zipCode": "17111"
}, - "additionalIds": [
- {
- "qualifierCode": "PQ",
- "type": "PAYEE_IDENTIFICATION_NUMBER",
- "identification": "0505"
}
]
}, - "outpatientAdjudication": {
- "reimbursementRate": 0.4,
- "hcpcsPayableAmount": 50,
- "esrdPaymentAmount": 30,
- "nonPayableProfessionalComponentAmount": 10.01,
- "remarks": [
- {
- "subType": "RARC",
- "code": "MA01",
- "desc": "If you do not agree with what we approved for these services, you may appeal our decision. To make sure that we are fair to you, we require another individual that did not process your initial claim to conduct the appeal. However, in order to be eligible for an appeal, you must write to us within 120 days of the date you received this notice, unless you have a good reason for being late."
}, - {
- "subType": "RARC",
- "code": "MA07",
- "desc": "The claim information has also been forwarded to Medicaid for review."
}
]
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "197",
- "reason": {
- "subType": "CARC",
- "code": "197",
- "desc": "Precertification/authorization/notification/pre-treatment absent."
}, - "amount": 2000,
- "quantity": 1
}, - {
- "group": "CONTRACTUAL",
- "reasonCode": "45",
- "reason": {
- "subType": "CARC",
- "code": "45",
- "desc": "Charge exceeds fee schedule/maximum allowable or contracted/legislated fee arrangement. Usage: This adjustment amount cannot equal the total service or claim charge amount; and must not duplicate provider adjustment amounts (payments and contractual reductions) that have resulted from prior payer(s) adjudication. (Use only with Group Codes PR or CO depending upon liability)"
}, - "amount": 30000
}, - {
- "group": "PATIENT_RESPONSIBILITY",
- "reasonCode": "132",
- "reason": {
- "subType": "CARC",
- "code": "132",
- "desc": "Prearranged demonstration project adjustment."
}, - "amount": 259
}
], - "coverageExpirationDate": "2022-10-01",
- "claimReceivedDate": "2022-11-24",
- "serviceProvider": {
- "entityRole": "RENDERING",
- "entityType": "INDIVIDUAL",
- "identificationType": "NPI",
- "identifier": "1811901945",
- "lastNameOrOrgName": "BAN",
- "firstName": "ERIN",
- "additionalIds": [
- {
- "qualifierCode": "1C",
- "type": "MEDICARE_PROVIDER_NUMBER",
- "identification": "12345678"
}
]
}, - "crossoverCarrier": {
- "entityRole": "CROSSOVER_CARRIER",
- "entityType": "BUSINESS",
- "identificationType": "CMS_PLAN_ID",
- "identifier": "9876",
- "lastNameOrOrgName": "ACME INSURANCE"
}, - "correctedPayer": {
- "entityRole": "PAYER",
- "entityType": "BUSINESS",
- "identificationType": "CMS_PLAN_ID",
- "identifier": "8765",
- "lastNameOrOrgName": "ACME INSURANCE"
}, - "correctedInsured": {
- "entityRole": "CORRECTED_INSURED",
- "entityType": "INDIVIDUAL",
- "identificationType": "INSURED_CHANGED_ID",
- "identifier": "SJD999",
- "lastNameOrOrgName": "Due"
}, - "claimContacts": [
- {
- "functionCode": "CX",
- "contactNumbers": [
- {
- "type": "PHONE",
- "number": "8008889900"
}
]
}
], - "serviceLines": [
- {
- "sourceLineId": "A123",
- "healthcarePolicyId": "1234\"5",
- "healthcarePolicyIds": [
- "1234\"5"
], - "chargeAmount": 46,
- "paidAmount": 25,
- "supplementalAmounts": [
- {
- "qualifierCode": "B6",
- "type": "ALLOWED_ACTUAL",
- "amount": 25
}
], - "supplementalQuantities": [
- {
- "qualifierCode": "ZL",
- "type": "MEDICARE_MEDICAID_CAT_2",
- "quantity": 3.75
}
], - "serviceDateFrom": "2019-03-24",
- "unitCount": 3.1,
- "originalUnitCount": 3.5,
- "procedure": {
- "subType": "ADA",
- "code": "D0120",
- "desc": "PERIODIC ORAL EVALUATION ESTABLISHED PATIENT",
- "modifiers": [
- {
- "subType": "HCPCS_MODIFIER",
- "code": "02"
}, - {
- "subType": "HCPCS_MODIFIER",
- "code": "28"
}
]
}, - "revenueCode": {
- "subType": "REVENUE_CODE",
- "code": "0022",
- "desc": "Skilled nursing facility prospective payment system (HIPPS)"
}, - "originalProcedure": {
- "subType": "ADA",
- "code": "D0140",
- "desc": "LIMITED ORAL EVALUATION - PROBLEM FOCUSED",
- "modifiers": [
- {
- "subType": "HCPCS_MODIFIER",
- "code": "01"
}
]
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "131",
- "reason": {
- "subType": "CARC",
- "code": "131",
- "desc": "Claim specific negotiated discount."
}, - "amount": 21
}
], - "remarkCodes": [
- "M1",
- "M2"
], - "remarks": [
- {
- "subType": "RARC",
- "code": "M1",
- "desc": "X-ray not taken within the past 12 months or near enough to the start of treatment."
}, - {
- "subType": "RARC",
- "code": "M2",
- "desc": "Not paid separately when the patient is an inpatient."
}
], - "serviceIds": [
- {
- "qualifierCode": "RB",
- "type": "RATE_CODE_NUMBER",
- "identification": "100"
}, - {
- "qualifierCode": "1S",
- "type": "APG_NUMBER",
- "identification": "101"
}, - {
- "qualifierCode": "APC",
- "type": "AMBULATORY_PAYMENT",
- "identification": "102"
}
], - "renderingProviderIds": [
- {
- "qualifierCode": "HPI",
- "type": "CMS_NPI",
- "identification": "P123"
}, - {
- "qualifierCode": "1C",
- "type": "MEDICARE_PROVIDER_NUMBER",
- "identification": "P234"
}
]
}, - {
- "chargeAmount": 25,
- "paidAmount": 14,
- "supplementalAmounts": [
- {
- "qualifierCode": "B6",
- "type": "ALLOWED_ACTUAL",
- "amount": 14
}
], - "serviceDateFrom": "2019-03-24",
- "procedure": {
- "subType": "ADA",
- "code": "D0220",
- "desc": "INTRAORAL - PERIAPICAL FIRST RADIOGRAPHIC IMAGE"
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "131",
- "reason": {
- "subType": "CARC",
- "code": "131",
- "desc": "Claim specific negotiated discount."
}, - "amount": 11
}
]
}, - {
- "chargeAmount": 22,
- "paidAmount": 10,
- "supplementalAmounts": [
- {
- "qualifierCode": "B6",
- "type": "ALLOWED_ACTUAL",
- "amount": 10
}
], - "serviceDateFrom": "2019-03-24",
- "procedure": {
- "subType": "ADA",
- "code": "D0230",
- "desc": "INTRAORAL - PERIAPICAL EACH ADD RADIOGRAPH IMAGE"
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "131",
- "reason": {
- "subType": "CARC",
- "code": "131",
- "desc": "Claim specific negotiated discount."
}, - "amount": 12
}
]
}, - {
- "chargeAmount": 60,
- "paidAmount": 34,
- "supplementalAmounts": [
- {
- "qualifierCode": "B6",
- "type": "ALLOWED_ACTUAL",
- "amount": 34
}
], - "serviceDateFrom": "2019-03-24",
- "procedure": {
- "subType": "ADA",
- "code": "D0274",
- "desc": "BITEWINGS - FOUR RADIOGRAPHIC IMAGES"
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "131",
- "reason": {
- "subType": "CARC",
- "code": "131",
- "desc": "Claim specific negotiated discount."
}, - "amount": 26
}
]
}, - {
- "chargeAmount": 99,
- "paidAmount": 99,
- "serviceDateFrom": "2019-03-24",
- "unitCount": 1,
- "originalUnitCount": 2,
- "revenueCode": {
- "subType": "REVENUE_CODE",
- "code": "0022",
- "desc": "Skilled nursing facility prospective payment system (HIPPS)"
}, - "originalRevenueCode": {
- "subType": "REVENUE_CODE",
- "code": "0023",
- "desc": "Home health prospective payment system (HIPPS)"
}
}, - {
- "chargeAmount": 73,
- "paidAmount": -3,
- "supplementalAmounts": [
- {
- "qualifierCode": "B6",
- "type": "ALLOWED_ACTUAL",
- "amount": 49
}, - {
- "qualifierCode": "KH",
- "type": "DEDUCTION",
- "amount": 50
}
], - "serviceDateFrom": "2019-03-24",
- "serviceDateTo": "2019-03-25",
- "procedure": {
- "subType": "ADA",
- "code": "D1110",
- "desc": "PROPHYLAXIS - ADULT"
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "131",
- "reason": {
- "subType": "CARC",
- "code": "131",
- "desc": "Claim specific negotiated discount."
}, - "amount": 24
}, - {
- "group": "CONTRACTUAL",
- "reasonCode": "3",
- "reason": {
- "subType": "CARC",
- "code": "3",
- "desc": "Co-payment Amount"
}, - "amount": 25
}, - {
- "group": "OTHER",
- "reasonCode": "131",
- "reason": {
- "subType": "CARC",
- "code": "131",
- "desc": "Claim specific negotiated discount."
}, - "amount": 27
}
]
}, - {
- "chargeAmount": 59,
- "paidAmount": 59,
- "serviceDateFrom": "2019-03-24",
- "unitCount": 10.5,
- "originalUnitCount": 9.2,
- "drug": {
- "subType": "NDC",
- "code": "00002143481",
- "desc": "Trulicity (Dulaglutide)",
- "formattedCode": "0002-1434-81"
}, - "originalDrug": {
- "subType": "NDC",
- "code": "00002143482",
- "desc": "Trulicity (Dulaglutide)",
- "formattedCode": "0002-1434-82"
}
}
], - "transaction": {
- "id": "6a32cb6297613a0e49906658",
- "controlNumber": "35681",
- "transactionType": "PAYMENT",
- "productionDate": "2019-03-14",
- "transactionHandlingType": "INFORMATION_ONLY",
- "totalPaymentAmount": 132,
- "creditOrDebitFlagCode": "C",
- "paymentMethodType": "CHECK",
- "receiverAccountNumber": "456",
- "paymentDate": "2019-03-31",
- "checkOrEftTraceNumber": "12345",
- "payerIdentifier": "1512345678",
- "receiverIdentifier": "CLEARINGHOUSE",
- "transactionSetIdentifierCode": "835",
- "remittanceDeliveryMethod": {
- "reportTransmissionCode": "BM",
- "transmissionType": "BY_MAIL",
- "name": "Name",
- "communicationNumber": "9618215141"
}, - "fileInfo": {
- "name": "835-all-fields.dat",
- "url": "file:/edi-samples/edi_files/835/835-all-fields.dat",
- "lastModifiedDateTime": "2026-06-10T22:19:35.713-04:00",
- "fileType": "EDI"
}
}
}
]Validates EDI and returns validation issues. See the EDI validation documentation for more details.
| fileName | string The name of the EDI file submitted as text. This name is used in validation warnings and parsing errors. If not set, a randomly generated file name is used. |
| ndjson | boolean Default: false Use JSON Lines, also known as NDJSON. There is no enclosing array; each validation issue object is terminated by a newline. Use this option for large files or streaming. |
| chunkSize | integer <int32> Default: 50 The number of EDI transactions, or claims/payments/members for 837/835/834, to parse at once. This option determines the memory footprint and can be used for fine-tuning. A higher value improves performance but consumes more memory. |
Text in X12 EDI format
| objectType | string Type of this object, always 'VALIDATION'. |
| issueType required | string Enum: "BALANCE" "CONTROL" "INVALID" "INVALID_CODE" "LENGTH_EXCEEDED" "LENGTH_TOO_SHORT" "MISMATCH" "NOT_ALLOWED" "NUMBER_OF_ITEMS" "REQUIRED" "REQUIRED_CODE" "VALUE_NOT_IN_ENUM_LIST" "WRONG_TYPE" Issue type. |
| issueObjectClass | string Class (type) of the object where the issue was detected, such as Claim, ServiceLine, etc. |
| jsonPath | string JSON path for the object where the issue was detected. |
| fieldName | string Field name or element name. |
object (SourceLocation) Location of the issue in the EDI file. | |
| loop | string EDI loop where the issue was found. |
| segment | string EDI segment ID. |
| element | string EDI element designator. |
| ediCode | string EDI qualifier or code for the segment if the segment is uniquely identified by the code. |
| maxNumberOfItems | integer Maximum number of items allowed for the segment, list, or loop. |
| actualNumberOfItems | integer Actual number of items. |
| length | integer Expected length of the element's value (LENGTH_TOO_SHORT, LENGTH_EXCEEDED issue types). |
| actualLength | integer Actual length (LENGTH_TOO_SHORT, LENGTH_EXCEEDED issue types). |
| dataType | string Enum: "BINARY" "COMPOSITE" "DATE" "DECIMAL" "ENUM" "IDENTIFIER" "NUMERIC" "STRING" "TIME" Expected data type (WRONG_TYPE issue type). |
| actualDataType | string Enum: "BINARY" "COMPOSITE" "DATE" "DECIMAL" "ENUM" "IDENTIFIER" "NUMERIC" "STRING" "TIME" Actual data type (WRONG_TYPE issue type). |
| codeSubType | string Type of the code that failed validation (INVALID_CODE issue type), such as HCPCS, ProviderTaxonomy, ICD_10. |
| value | string The value that caused the validation to fail. |
| ediString | string Value that caused the issue. |
| message | string Additional message describing the issue. |
| allowedValues | Array of strings Allowed values (VALUE_NOT_IN_ENUM_LIST issue type). |
[- {
- "objectType": "VALIDATION",
- "issueType": "REQUIRED",
- "fieldName": "transaction_set_header",
- "sourceLocation": {
- "fileName": "835-validation-issues.edi",
- "lineNumber": 3,
- "segmentNumber": 3
}, - "loop": "0000",
- "segment": "ST",
- "message": "Required segment TRN (reassociation_trace_number) is missing in loop 0000"
}, - {
- "objectType": "VALIDATION",
- "issueType": "REQUIRED",
- "fieldName": "payer_identification",
- "sourceLocation": {
- "fileName": "835-validation-issues.edi",
- "lineNumber": 7,
- "segmentNumber": 7
}, - "loop": "1000A",
- "segment": "N1",
- "message": "Required segment PER (payer_technical_contact_information) is missing in loop 1000A"
}, - {
- "objectType": "VALIDATION",
- "issueType": "CONTROL",
- "fieldName": "transaction_segment_count",
- "sourceLocation": {
- "fileName": "835-validation-issues.edi",
- "lineNumber": 26,
- "segmentNumber": 24
}, - "loop": "0000",
- "segment": "SE",
- "element": "SE01",
- "value": "18",
- "ediString": "SE*18*0002~",
- "message": "Count '18' in the closing segment does not match actual count '22'"
}, - {
- "objectType": "VALIDATION",
- "issueType": "BALANCE",
- "issueObjectClass": "Payment",
- "fieldName": "chargeAmount",
- "sourceLocation": {
- "fileName": "835-validation-issues.edi",
- "lineNumber": 18,
- "segmentNumber": 17
}, - "loop": "2100",
- "segment": "CLP",
- "ediString": "CLP*5554555444*1*700*500*300*12*94060555410000*11*1~",
- "message": "Claim 5554555444: The sum of line charge amounts 800.00 does not match the claim charge amount 700.00"
}, - {
- "objectType": "VALIDATION",
- "issueType": "BALANCE",
- "issueObjectClass": "Payment",
- "fieldName": "paymentAmount",
- "sourceLocation": {
- "fileName": "835-validation-issues.edi",
- "lineNumber": 18,
- "segmentNumber": 17
}, - "loop": "2100",
- "segment": "CLP",
- "ediString": "CLP*5554555444*1*700*500*300*12*94060555410000*11*1~",
- "message": "Claim 5554555444: The sum of line paid amounts 400.00 does not match the claim paid amount 500.00"
}, - {
- "objectType": "VALIDATION",
- "issueType": "BALANCE",
- "issueObjectClass": "ServiceLine",
- "fieldName": "paymentAmount",
- "sourceLocation": {
- "fileName": "835-validation-issues.edi",
- "lineNumber": 20,
- "segmentNumber": 19
}, - "loop": "2110",
- "segment": "SVC",
- "ediString": "SVC*HC:99211*800*400~",
- "message": "Line 1: Paid amount 400.00 does not match the charge amount 800.00 minus the sum of adjustments 300.00"
}, - {
- "objectType": "VALIDATION",
- "issueType": "INVALID_CODE",
- "fieldName": "adjustment_reason_code",
- "sourceLocation": {
- "fileName": "835-validation-issues.edi",
- "lineNumber": 22,
- "segmentNumber": 21
}, - "loop": "2110",
- "segment": "CAS",
- "element": "CAS02",
- "codeSubType": "CARC",
- "value": "XX",
- "ediString": "CAS*PR*XX*300~",
- "message": "Claim Adjustment Reason Code XX is not a valid code"
}, - {
- "objectType": "VALIDATION",
- "issueType": "INVALID",
- "fieldName": "",
- "sourceLocation": {
- "fileName": "835-validation-issues.edi",
- "lineNumber": 24,
- "segmentNumber": 23
}, - "loop": "2110",
- "segment": "XX",
- "ediString": "XX*B6*800~",
- "message": "Unknown segment 'XX' for the transaction set 835"
}
]Validates EDI and returns the entire EDI file with validation messages below each segment.
Validation messages are denoted by the prefix !! in the EDI file.
| issueStringPrefix | string Default: "!!" Prefix for lines that contain validation messages. |
Text in X12 EDI format
ISA*00* *00* *ZZ*ABCPAYER *ZZ*ABCPAYER *190827*0212*^*00501*191511902*0*P*:~ GS*HP*SENDER CODE*RECEIVER CODE*20241225*0533*225426820*X*005010X221A1~ ST*835*0002~ !!Loop:0000, Segment:ST, Field: transaction_set_header | Required segment TRN (reassociation_trace_number) is missing in loop 0000 BPR*I*132*C*CHK***********456*20190331~ REF*EV*CLEARINGHOUSE_ID~ DTM*405*20241223~ N1*PR*DELTA DENTAL OF ABC~ !!Loop:1000A, Segment:N1, Field: payer_identification | Required segment PER (payer_technical_contact_information) is missing in loop 1000A N3*225 MAIN STREET~ N4*CENTERVILLE*PA*17111~ REF*2U*0101~ N1*PE*PROVIDER*XX*PROVIDER2_NPI~ N3*2255 ANY ROAD~ N4*ANY CITY*CA*12211~ REF*TJ*123456789~ REF*PQ*PAYEE_ID2~ LX*1~ CLP*5554555444*1*700*500*300*12*94060555410000*11*1~ !!Loop:2100, Segment:CLP, Field: Payment.chargeAmount | Claim 5554555444: The sum of line charge amounts 800.00 does not match the claim charge amount 700.00 !!Loop:2100, Segment:CLP, Field: Payment.paymentAmount | Claim 5554555444: The sum of line paid amounts 400.00 does not match the claim paid amount 500.00 NM1*QC*1*BUDD*WILLIAM****MI*33344555510~ SVC*HC:99211*800*400~ !!Loop:2110, Segment:SVC, Field: ServiceLine.paymentAmount | Line 1: Paid amount 400.00 does not match the charge amount 800.00 minus the sum of adjustments 300.00 DTM*472*20240301~ CAS*PR*XX*300~ !!Loop:2110, Element:CAS02, Field: adjustment_reason_code | Claim Adjustment Reason Code XX is not a valid code AMT*B6*800~ XX*B6*800~ !!Loop:2110, Segment:XX | Unknown segment 'XX' for the transaction set 835 SE*18*0002~ !!Loop:0000, Element:SE01, Field: transaction_segment_count | Count '18' in the closing segment does not match actual count '22' GE*1*225426820~ IEA*1*191511902~
Parses X12 EDI and returns an array of claims (837), payments (835), or
segments (all other transactions). Parsing is done entirely in memory, so this endpoint is only suitable for small files.
The endpoint is fully synchronous: the entire file is parsed before the response is returned.
This operation is deprecated as of 2.15.0; use the /api/edi/json endpoint instead.
See the Python example.
| asSegments | boolean Default: false Return the JSON representation of loops and segments. This is the default mode for transactions other than |
| gen999 | boolean Default: false Generate a |
Text in X12 EDI format.
Array of ProfClaim (object) or InstClaim (object) or DentClaim (object) | |
Array of objects (Payment) | |
Array of objects (MemberCoverage) | |
Array of ClaimStatus (object) or ReceiverStatus (object) or ProviderStatus (object) | |
| segments | object (ArrayNode) |
| ackEdi | string Generated 999–Functional Group Acknowledgement Report for all parsed transactions |
Array of objects (ParsingIssue) |
{- "claims": [
- {
- "id": "string",
- "objectType": "string",
- "patientControlNumber": "string",
- "chargeAmount": 0.1,
- "patientPaidAmount": 0.1,
- "facilityCode": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "frequencyCode": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "serviceDateFrom": "2019-08-24",
- "serviceDateTo": "2019-08-24",
- "subscriber": {
- "payerResponsibilitySequence": "EIGHT",
- "relationshipType": "CADAVER_DONOR",
- "groupOrPolicyNumber": "string",
- "groupName": "string",
- "claimFilingIndicatorCode": "string",
- "insurancePlanType": "AUTOMOBILE_MEDICAL",
- "person": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "birthDate": "2019-08-24",
- "gender": "FEMALE"
}, - "deathDate": "2019-08-24",
- "weight": 0.1,
- "pregnancyIndicator": "string",
- "propertyCasualtyClaimNumber": "string",
- "payer": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
}, - "patient": {
- "relationshipType": "CADAVER_DONOR",
- "person": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "birthDate": "2019-08-24",
- "gender": "FEMALE"
}, - "deathDate": "2019-08-24",
- "weight": 0.1,
- "pregnancyIndicator": "string"
}, - "otherSubscribers": [
- {
- "payerResponsibilitySequence": "EIGHT",
- "relationshipType": "CADAVER_DONOR",
- "groupOrPolicyNumber": "string",
- "groupName": "string",
- "coordinationOfBenefitsCode": "string",
- "claimFilingIndicatorCode": "string",
- "insurancePlanType": "AUTOMOBILE_MEDICAL",
- "person": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": null,
- "number": null
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "birthDate": "2019-08-24",
- "gender": "FEMALE"
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "string",
- "reason": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "amount": 0.1,
- "quantity": 0.1
}
], - "payerPaidAmount": 0.1,
- "nonCoveredAmount": 0.1,
- "remainingPatientLiabilityAmount": 0.1,
- "assignmentCertificationIndicator": "string",
- "releaseOfInformationCode": "string",
- "outpatientAdjudication": {
- "reimbursementRate": 0.1,
- "hcpcsPayableAmount": 0.1,
- "esrdPaymentAmount": 0.1,
- "nonPayableProfessionalComponentAmount": 0.1,
- "remarks": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
]
}, - "inpatientAdjudication": {
- "coveredDaysOrVisitsCount": 0,
- "ppsOperatingOutlierAmount": 0.1,
- "lifetimePsychiatricDaysCount": 0,
- "drgAmount": 0.1,
- "disproportionateShareAmount": 0.1,
- "mspPassThroughAmount": 0.1,
- "ppsCapitalAmount": 0.1,
- "ppsCapitalFspDrgAmount": 0.1,
- "ppsCapitalHspDrgAmount": 0.1,
- "ppsCapitalDshDrgAmount": 0.1,
- "oldCapitalAmount": 0.1,
- "ppsCapitalImeAmount": 0.1,
- "ppsOperatingHospitalSpecificDrgAmount": 0.1,
- "costReportDayCount": 0,
- "ppsOperatingFederalSpecificDrgAmount": 0.1,
- "ppsCapitalOutlierAmount": 0.1,
- "indirectTeachingAmount": 0.1,
- "nonPayableProfessionalComponentAmount": 0.1,
- "ppsCapitalExceptionAmount": 0.1,
- "remarks": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
]
}, - "payerPriorAuthorizationNumber": "string",
- "payerReferralNumber": "string",
- "payerClaimControlNumber": "string",
- "payerAdjudicatedDrg": "string",
- "payer": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": null,
- "number": null
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "patient": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": null,
- "number": null
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "providers": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- null
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
]
}
], - "serviceLines": [
- {
- "sourceLineId": "string",
- "placeOfServiceCode": "string",
- "emergencyIndicator": "string",
- "epsdtIndicator": "string",
- "familyPlanningIndicator": "string",
- "copayStatusCode": "string",
- "repricedReferenceNumber": "string",
- "adjustedRepricedReferenceNumber": "string",
- "priorAuthorization": "string",
- "priorAuthorizationNumbers": [
- "string"
], - "mammographyCertificationNumber": "string",
- "cliaNumber": "string",
- "referringCliaNumber": "string",
- "immunizationBatchNumber": "string",
- "referralNumber": "string",
- "referralNumbers": [
- "string"
], - "chargeAmount": 0.1,
- "salesTaxAmount": 0.1,
- "postageClaimedAmount": 0.1,
- "purchasedServiceProviderIdentifier": "string",
- "purchasedServiceChargeAmount": 0.1,
- "serviceDateFrom": "2019-08-24",
- "serviceDateTo": "2019-08-24",
- "prescriptionDate": "2019-08-24",
- "lastCertificationDate": "2019-08-24",
- "certificationRevisionDate": "2019-08-24",
- "beginTherapyDate": "2019-08-24",
- "lastSeenDate": "2019-08-24",
- "testPerformedDate": "2019-08-24",
- "shippedDate": "2019-08-24",
- "lastXRayDate": "2019-08-24",
- "initialTreatmentDate": "2019-08-24",
- "unitType": "string",
- "unitCount": 0.1,
- "ambulancePatientCount": 0,
- "obstetricAdditionalUnitCount": 0.1,
- "drug": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "drugQuantity": 0.1,
- "drugUnitType": "string",
- "prescriptionNumber": "string",
- "prescriptionNumberType": "LINK_SEQUENCE_NUMBER",
- "lineNote": "string",
- "thirdPartyNote": "string",
- "notes": [
- {
- "qualifierCode": "string",
- "type": "ADDITIONAL_INFORMATION",
- "text": "string"
}
], - "procedure": {
- "subType": "string",
- "code": "string",
- "desc": "string",
- "modifiers": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
]
}, - "dmeService": {
- "durationUnitType": "string",
- "lengthOfMedicalNecessity": 0.1,
- "rentalPrice": 0.1,
- "purchasePrice": 0.1,
- "billingFrequencyCode": "1",
- "billingFrequency": "DAILY"
}, - "attachments": [
- {
- "reportTypeCode": "string",
- "type": "string",
- "reportTransmissionCode": "string",
- "transmissionType": "AVAILABLE_ON_REQUEST_AT_PROVIDER_SITE",
- "controlNumber": "string"
}
], - "contractInfo": {
- "contractTypeCode": "string",
- "amount": 0.1,
- "percentage": 0.1,
- "contractCode": "string",
- "termDiscountPercentage": 0.1,
- "versionIdentifier": "string"
}, - "ambulanceTransportInfo": {
- "patientWeight": 0.1,
- "reasonCode": "string",
- "reason": "FAMILY_MEMBER",
- "transportDistance": 0.1,
- "roundTripPurposeDescription": "string",
- "stretcherPurposeDescription": "string"
}, - "dmeCertification": {
- "certificationTypeCode": "string",
- "durationUnitType": "string",
- "duration": 0.1
}, - "conditionsIndicators": [
- {
- "categoryCode": "string",
- "category": "AMBULANCE_CERTIFICATION",
- "yesOrNoCondition": "N",
- "conditionCodes": [
- "string"
]
}
], - "measurements": [
- {
- "categoryCode": "OG",
- "qualifierCode": "string",
- "type": "CREATININE",
- "value": 0.1
}
], - "providers": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- null
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "providerTaxonomy": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
}
], - "adjudications": [
- {
- "payerIdentifier": "string",
- "paidAmount": 0.1,
- "unitCount": 0.1,
- "bundledOrUnbundledLineNumber": 0,
- "procedure": {
- "subType": "string",
- "code": "string",
- "desc": "string",
- "modifiers": [
- {
- "subType": null,
- "code": null,
- "desc": null
}
]
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "string",
- "reason": {
- "subType": null,
- "code": null,
- "desc": null
}, - "amount": 0.1,
- "quantity": 0.1
}
], - "adjudicationOrPaymentDate": "2019-08-24",
- "remainingPatientLiabilityAmount": 0.1
}
], - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "string",
- "reason": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "amount": 0.1,
- "quantity": 0.1
}
], - "fixedFormatRecords": [
- "string"
], - "forms": [
- {
- "formTypeCode": "AS",
- "formIdentifier": "string",
- "responses": [
- {
- "questionIdentifier": "string",
- "yesOrNoResponse": "N",
- "textResponse": "string",
- "dateResponse": "2019-08-24",
- "numberResponse": 0.1
}
]
}
], - "diagPointers": [
- 0
], - "diags": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
]
}
], - "validationIssues": [
- {
- "objectType": "string",
- "issueType": "BALANCE",
- "issueObjectClass": "string",
- "jsonPath": "string",
- "fieldName": "string",
- "sourceLocation": {
- "fileName": "string",
- "lineNumber": 0,
- "segmentNumber": 0
}, - "loop": "string",
- "segment": "string",
- "element": "string",
- "ediCode": "string",
- "maxNumberOfItems": 0,
- "actualNumberOfItems": 0,
- "length": 0,
- "actualLength": 0,
- "dataType": "BINARY",
- "actualDataType": "BINARY",
- "codeSubType": "string",
- "value": "string",
- "ediString": "string",
- "message": "string",
- "allowedValues": [
- "string"
]
}
], - "transaction": {
- "objectType": "string",
- "controlNumber": "string",
- "transactionType": "string",
- "hierarchicalStructureCode": "string",
- "purposeCode": "string",
- "originatorApplicationTransactionId": "string",
- "creationDate": "2019-08-24",
- "creationTime": "2019-08-24T14:15:22Z",
- "claimOrEncounterIdentifierType": "string",
- "transactionSetIdentifierCode": "string",
- "implementationConventionReference": "string",
- "fileInfo": {
- "name": "string",
- "url": "string",
- "lastModifiedDateTime": "2019-08-24T14:15:22Z"
}, - "sender": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}, - "receiver": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}
}, - "providerSignatureIndicator": "string",
- "assignmentParticipationCode": "string",
- "assignmentCertificationIndicator": "string",
- "releaseOfInformationCode": "string",
- "patientSignatureSourceCode": "string",
- "relatedCause": {
- "relatedCauseCode": "string",
- "relatedCauseType": "AUTO_ACCIDENT",
- "relatedCauseCode2": "string",
- "relatedCauseType2": "AUTO_ACCIDENT",
- "stateCode": "string",
- "countryCode": "string"
}, - "specialProgramCode": "string",
- "specialProgramType": "DISABILITY",
- "delayReasonCode": "string",
- "delayReasonType": "ADMINISTRATION_DELAY",
- "serviceAuthorizationExceptionCode": "string",
- "medicareSection4081Indicator": "string",
- "mammographyCertificationNumber": "string",
- "referralNumber": "string",
- "priorAuthorizationNumber": "string",
- "originalReferenceNumber": "string",
- "cliaNumber": "string",
- "repricedReferenceNumber": "string",
- "adjustedRepricedReferenceNumber": "string",
- "investigationalDeviceExemptionNumber": "string",
- "clearinghouseTraceNumber": "string",
- "medicalRecordNumber": "string",
- "demonstrationProjectIdentifier": "string",
- "carePlanOversightNumber": "string",
- "onsetOfCurrentIllnessOrInjuryDate": "2019-08-24",
- "initialTreatmentDate": "2019-08-24",
- "lastSeenDate": "2019-08-24",
- "acuteManifestationDate": "2019-08-24",
- "accidentDate": "2019-08-24",
- "lastMenstrualPeriodDate": "2019-08-24",
- "lastXRayDate": "2019-08-24",
- "prescriptionDate": "2019-08-24",
- "disabilityDateFrom": "2019-08-24",
- "disabilityDateTo": "2019-08-24",
- "lastWorkedDate": "2019-08-24",
- "authorizedReturnToWorkDate": "2019-08-24",
- "admissionDate": "2019-08-24",
- "dischargeDate": "2019-08-24",
- "assumedCareDate": "2019-08-24",
- "relinquishedCareDate": "2019-08-24",
- "propertyCasualtyFirstContactDate": "2019-08-24",
- "repricerReceivedDate": "2019-08-24",
- "fixedFormatRecords": [
- "string"
], - "claimNote": "string",
- "notes": [
- {
- "qualifierCode": "string",
- "type": "ADDITIONAL_INFORMATION",
- "text": "string"
}
], - "billingProvider": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "providerTaxonomy": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
}, - "payToAddress": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "payToPlan": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "providers": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "providerTaxonomy": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
}
], - "diags": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
], - "procs": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
], - "conditions": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
], - "attachments": [
- {
- "reportTypeCode": "string",
- "type": "string",
- "reportTransmissionCode": "string",
- "transmissionType": "AVAILABLE_ON_REQUEST_AT_PROVIDER_SITE",
- "controlNumber": "string"
}
], - "contractInfo": {
- "contractTypeCode": "string",
- "amount": 0.1,
- "percentage": 0.1,
- "contractCode": "string",
- "termDiscountPercentage": 0.1,
- "versionIdentifier": "string"
}, - "ambulanceTransportInfo": {
- "patientWeight": 0.1,
- "reasonCode": "string",
- "reason": "FAMILY_MEMBER",
- "transportDistance": 0.1,
- "roundTripPurposeDescription": "string",
- "stretcherPurposeDescription": "string"
}, - "spinalManipulationInfo": {
- "conditionCode": "string",
- "description": "string",
- "additionalDescription": "string"
}, - "conditionsIndicators": [
- {
- "categoryCode": "string",
- "category": "AMBULANCE_CERTIFICATION",
- "yesOrNoCondition": "N",
- "conditionCodes": [
- "string"
]
}
]
}
], - "payments": [
- {
- "id": "string",
- "objectType": "string",
- "patientControlNumber": "string",
- "chargeAmount": 0.1,
- "paymentAmount": 0.1,
- "facilityCode": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "frequencyCode": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "statementDateFrom": "2019-08-24",
- "statementDateTo": "2019-08-24",
- "serviceDateFrom": "2019-08-24",
- "serviceDateTo": "2019-08-24",
- "subscriber": {
- "person": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
}, - "patient": {
- "person": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
}, - "otherSubscribers": [
- {
- "person": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": null,
- "number": null
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
}
], - "serviceLines": [
- {
- "sourceLineId": "string",
- "repricedReferenceNumber": "string",
- "adjustedRepricedReferenceNumber": "string",
- "healthcarePolicyId": "string",
- "healthcarePolicyIds": [
- "string"
], - "chargeAmount": 0.1,
- "paidAmount": 0.1,
- "supplementalAmounts": [
- {
- "qualifierCode": "string",
- "type": "string",
- "amount": 0.1
}
], - "supplementalQuantities": [
- {
- "qualifierCode": "string",
- "type": "string",
- "quantity": 0.1
}
], - "serviceDateFrom": "2019-08-24",
- "serviceDateTo": "2019-08-24",
- "unitCount": 0.1,
- "originalUnitCount": 0.1,
- "drug": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "prescriptionNumberType": "LINK_SEQUENCE_NUMBER",
- "procedure": {
- "subType": "string",
- "code": "string",
- "desc": "string",
- "modifiers": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
]
}, - "revenueCode": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "originalProcedure": {
- "subType": "string",
- "code": "string",
- "desc": "string",
- "modifiers": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
]
}, - "originalRevenueCode": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "originalDrug": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "string",
- "reason": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "amount": 0.1,
- "quantity": 0.1
}
], - "remarkCodes": [
- "string"
], - "remarks": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
], - "serviceIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "renderingProviderIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
], - "validationIssues": [
- {
- "objectType": "string",
- "issueType": "BALANCE",
- "issueObjectClass": "string",
- "jsonPath": "string",
- "fieldName": "string",
- "sourceLocation": {
- "fileName": "string",
- "lineNumber": 0,
- "segmentNumber": 0
}, - "loop": "string",
- "segment": "string",
- "element": "string",
- "ediCode": "string",
- "maxNumberOfItems": 0,
- "actualNumberOfItems": 0,
- "length": 0,
- "actualLength": 0,
- "dataType": "BINARY",
- "actualDataType": "BINARY",
- "codeSubType": "string",
- "value": "string",
- "ediString": "string",
- "message": "string",
- "allowedValues": [
- "string"
]
}
], - "transaction": {
- "objectType": "string",
- "controlNumber": "string",
- "transactionType": "string",
- "productionDate": "2019-08-24",
- "transactionHandlingType": "string",
- "totalPaymentAmount": 0.1,
- "creditOrDebitFlagCode": "string",
- "paymentMethodType": "string",
- "paymentFormatCode": "string",
- "senderBankRoutingNumber": "string",
- "senderAccountNumber": "string",
- "originatingCompanyId": "string",
- "originatingCompanySupplementalCode": "string",
- "receiverBankRoutingNumber": "string",
- "receiverAccountNumber": "string",
- "paymentDate": "2019-08-24",
- "checkOrEftTraceNumber": "string",
- "payerIdentifier": "string",
- "receiverIdentifier": "string",
- "transactionSetIdentifierCode": "string",
- "implementationConventionReference": "string",
- "remittanceDeliveryMethod": {
- "reportTransmissionCode": "string",
- "transmissionType": "BY_MAIL",
- "name": "string",
- "communicationNumber": "string"
}, - "fileInfo": {
- "name": "string",
- "url": "string",
- "lastModifiedDateTime": "2019-08-24T14:15:22Z"
}, - "sender": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "receiver": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
}, - "claimStatusCode": "string",
- "claimStatus": "DENIED",
- "patientResponsibilityAmount": 0.1,
- "claimFilingIndicatorCode": "string",
- "insurancePlanType": "AUTOMOBILE_MEDICAL",
- "payerControlNumber": "string",
- "drg": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "drgWeight": 0.1,
- "dischargeFraction": 0.1,
- "otherClaimRelatedIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "supplementalAmounts": [
- {
- "qualifierCode": "string",
- "type": "string",
- "amount": 0.1
}
], - "supplementalQuantities": [
- {
- "qualifierCode": "string",
- "type": "string",
- "quantity": 0.1
}
], - "payer": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "payee": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "outpatientAdjudication": {
- "reimbursementRate": 0.1,
- "hcpcsPayableAmount": 0.1,
- "esrdPaymentAmount": 0.1,
- "nonPayableProfessionalComponentAmount": 0.1,
- "remarks": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
]
}, - "inpatientAdjudication": {
- "coveredDaysOrVisitsCount": 0,
- "ppsOperatingOutlierAmount": 0.1,
- "lifetimePsychiatricDaysCount": 0,
- "drgAmount": 0.1,
- "disproportionateShareAmount": 0.1,
- "mspPassThroughAmount": 0.1,
- "ppsCapitalAmount": 0.1,
- "ppsCapitalFspDrgAmount": 0.1,
- "ppsCapitalHspDrgAmount": 0.1,
- "ppsCapitalDshDrgAmount": 0.1,
- "oldCapitalAmount": 0.1,
- "ppsCapitalImeAmount": 0.1,
- "ppsOperatingHospitalSpecificDrgAmount": 0.1,
- "costReportDayCount": 0,
- "ppsOperatingFederalSpecificDrgAmount": 0.1,
- "ppsCapitalOutlierAmount": 0.1,
- "indirectTeachingAmount": 0.1,
- "nonPayableProfessionalComponentAmount": 0.1,
- "ppsCapitalExceptionAmount": 0.1,
- "remarks": [
- {
- "subType": "string",
- "code": "string",
- "desc": "string"
}
]
}, - "adjustments": [
- {
- "group": "CONTRACTUAL",
- "reasonCode": "string",
- "reason": {
- "subType": "string",
- "code": "string",
- "desc": "string"
}, - "amount": 0.1,
- "quantity": 0.1
}
], - "coverageExpirationDate": "2019-08-24",
- "claimReceivedDate": "2019-08-24",
- "serviceProvider": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}, - "crossoverCarrier": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}, - "correctedPayer": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}, - "correctedInsured": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}, - "claimContacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
]
}
], - "coverages": [
- {
- "id": "string",
- "objectType": "string",
- "fileName": "string",
- "fileEffectiveDates": [
- {
- "qualifierCode": "string",
- "type": "string",
- "date": "2019-08-24",
- "dateTo": "2019-08-24"
}
], - "masterPolicyNumber": "string",
- "sponsor": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}, - "insurer": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}, - "tpas": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "accountNumber": "string",
- "accountNumber2": "string"
}
], - "memberIndicator": "string",
- "relationshipCode": "string",
- "maintenanceTypeCode": "string",
- "maintenanceReasonCode": "string",
- "benefitStatusCode": "string",
- "medicarePlanCode": "string",
- "medicareEligibilityReasonCode": "string",
- "cobraEventCode": "string",
- "employmentStatusCode": "string",
- "studentStatusCode": "string",
- "handicapIndicator": "string",
- "deathDate": "2019-08-24",
- "confidentialityCode": "string",
- "birthSequenceNumber": 0,
- "identifier": "string",
- "groupOrPolicyNumber": "string",
- "supplementalIdentifiers": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "statusInfoEffectiveDates": [
- {
- "qualifierCode": "string",
- "type": "string",
- "date": "2019-08-24",
- "dateTo": "2019-08-24"
}
], - "member": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "birthDate": "2019-08-24",
- "gender": "FEMALE",
- "maritalStatusCode": "string",
- "ethnicityCode": "string",
- "ethnicityCodes": [
- "string"
], - "citizenshipCode": "string",
- "employmentClassCodes": [
- "string"
], - "wageFrequencyCode": "string",
- "wageAmount": 0.1,
- "workHoursCount": 0.1,
- "employerLocationIdentificationCode": "string",
- "salaryGradeCode": "string",
- "healthRelatedCode": "string",
- "height": 0.1,
- "weight": 0.1,
- "languageInfo": {
- "codeQualifier": "string",
- "code": "string",
- "languageDescription": "string",
- "languageUseIndicator": "string"
}, - "languages": [
- {
- "codeQualifier": "string",
- "code": "string",
- "languageDescription": "string",
- "languageUseIndicator": "string"
}
]
}, - "incorrectMember": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "birthDate": "2019-08-24",
- "gender": "FEMALE",
- "maritalStatusCode": "string",
- "ethnicityCode": "string",
- "ethnicityCodes": [
- "string"
], - "citizenshipCode": "string",
- "employmentClassCodes": [
- "string"
], - "wageFrequencyCode": "string",
- "wageAmount": 0.1,
- "workHoursCount": 0.1,
- "employerLocationIdentificationCode": "string",
- "salaryGradeCode": "string",
- "healthRelatedCode": "string",
- "height": 0.1,
- "weight": 0.1,
- "languageInfo": {
- "codeQualifier": "string",
- "code": "string",
- "languageDescription": "string",
- "languageUseIndicator": "string"
}, - "languages": [
- {
- "codeQualifier": "string",
- "code": "string",
- "languageDescription": "string",
- "languageUseIndicator": "string"
}
]
}, - "contractAmounts": [
- {
- "qualifierCode": "string",
- "type": "string",
- "amount": 0.1
}
], - "mailingAddress": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "employers": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
], - "schools": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
], - "custodialParent": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "responsiblePersons": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}
], - "dropOffLocation": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- {
- "type": "ALTERNATE_PHONE",
- "number": "string"
}
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
]
}, - "disabilities": [
- {
- "typeCode": "string",
- "diagnosisCode": "string",
- "dateFrom": "2019-08-24",
- "dateTo": "2019-08-24"
}
], - "reportingCategories": [
- {
- "name": "string",
- "identifierQualifierCode": "string",
- "identifierType": "string",
- "identifier": "string",
- "date": "2019-08-24",
- "dateTo": "2019-08-24"
}
], - "healthCoverages": [
- {
- "maintenanceTypeCode": "string",
- "insuranceLineCode": "string",
- "planDescription": "string",
- "coverageLevelCode": "string",
- "lateEnrollmentIndicator": "string",
- "coverageDates": [
- {
- "qualifierCode": "string",
- "type": "string",
- "date": "2019-08-24",
- "dateTo": "2019-08-24"
}
], - "contractAmounts": [
- {
- "qualifierCode": "string",
- "type": "string",
- "amount": 0.1
}
], - "groupOrPolicyNumbers": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "priorCoverageMonthCount": "string",
- "idCards": [
- {
- "planDesc": "string",
- "typeCode": "string",
- "count": 0,
- "actionCode": "string"
}
], - "providers": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": "string",
- "line2": "string",
- "city": "string",
- "stateCode": "string",
- "zipCode": "string",
- "countryCode": "string",
- "locationQualifier": "string",
- "locationIdentifier": "string",
- "countrySubdivisionCode": "string"
}, - "contacts": [
- {
- "functionCode": "string",
- "name": "string",
- "contactNumbers": [
- null
]
}
], - "additionalIds": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "changeReason": {
- "actionCode": "string",
- "effectiveDate": "2019-08-24",
- "reasonCode": "string"
}
}
], - "cobs": [
- {
- "payerResponsibilitySequenceCode": "string",
- "groupOrPolicyNumber": "string",
- "coordinationOfBenefitsCode": "string",
- "serviceTypeCodes": [
- "string"
], - "additionalIdentifiers": [
- {
- "qualifierCode": "string",
- "type": "string",
- "identification": "string"
}
], - "dateFrom": "2019-08-24",
- "dateTo": "2019-08-24",
- "insurers": [
- {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string",
- "address": {
- "line": null,
- "line2": null,
- "city": null,
- "stateCode": null,
- "zipCode": null,
- "countryCode": null,
- "locationQualifier": null,
- "locationIdentifier": null,
- "countrySubdivisionCode": null
}, - "contacts": [
- null
], - "additionalIds": [
- null
]
}
]
}
]
}
], - "validationIssues": [
- {
- "objectType": "string",
- "issueType": "BALANCE",
- "issueObjectClass": "string",
- "jsonPath": "string",
- "fieldName": "string",
- "sourceLocation": {
- "fileName": "string",
- "lineNumber": 0,
- "segmentNumber": 0
}, - "loop": "string",
- "segment": "string",
- "element": "string",
- "ediCode": "string",
- "maxNumberOfItems": 0,
- "actualNumberOfItems": 0,
- "length": 0,
- "actualLength": 0,
- "dataType": "BINARY",
- "actualDataType": "BINARY",
- "codeSubType": "string",
- "value": "string",
- "ediString": "string",
- "message": "string",
- "allowedValues": [
- "string"
]
}
], - "transaction": {
- "objectType": "string",
- "controlNumber": "string",
- "transactionType": "string",
- "purposeCode": "string",
- "originatorApplicationTransactionId": "string",
- "creationDate": "2019-08-24",
- "creationTime": "2019-08-24T14:15:22Z",
- "originalTransactionSetReferenceNumber": "string",
- "actionCode": "string",
- "transactionSetIdentifierCode": "string",
- "implementationConventionReference": "string",
- "fileEffectiveDates": [
- {
- "qualifierCode": "string",
- "type": "string",
- "date": "2019-08-24",
- "dateTo": "2019-08-24"
}
], - "controlTotals": [
- {
- "qualifierCode": "string",
- "type": "string",
- "quantity": 0.1
}
], - "fileInfo": {
- "name": "string",
- "url": "string",
- "lastModifiedDateTime": "2019-08-24T14:15:22Z"
}
}
}
], - "statuses": [
- {
- "id": "string",
- "objectType": "string",
- "patient": {
- "entityRole": "string",
- "entityType": "BUSINESS",
- "identificationType": "string",
- "identifier": "string",
- "taxId": "string",
- "taxIdType": "EIN",
- "lastNameOrOrgName": "string",
- "firstName": "string",
- "middleName": "string",
- "nameSuffix": "string"
}, - "patientControlNumber": "string",
- "statusInfos": [
- {
- "effectiveDate": "2019-08-24",
- "actionCode": "string",
- "actionType": "string",
- "chargeAmount": 0.1,
- "statusCodeInfos": [
- {
- "categoryCode": "string",
- "statusCode": "string",
[...]
